
#ifndef __I2C_HDMI_INTERFACE__
#define __I2C_HDMI_INTERFACE__

#if __cplusplus
	extern "C"
	{
#endif

HANDLE Open_HDMI_I2C(LPWSTR lpGroupName);
BOOL Init_HDMI_I2C(HANDLE hI2C, WORD wSlaveAddr, DWORD dwSpead);
BOOL Write_HDMI_Seg_I2C(HANDLE hI2C, PBYTE pWSegData, DWORD dwWSegDatas, PBYTE pWIndexData, DWORD dwWIndexDatas, PBYTE pRData, DWORD dwRDatas);
//BOOL Write_HDMI_I2C(HANDLE hI2C, PBYTE pWData, DWORD dwWDatas);
BOOL Write_HDMI_I2C(HANDLE hI2C, PBYTE pWData, DWORD dwWDatas, BOOL bStop);
BOOL Read_HDMI_I2C(HANDLE hI2C, PBYTE pWData, DWORD dwWDatas, BOOL bStop, PBYTE pRData, DWORD dwRDatas);
BOOL EDIDRead_HDMI_I2C(HANDLE hI2C, PBYTE pWData, DWORD dwWDatas, BOOL bStop, PBYTE pRData, DWORD dwRDatas);

#if __cplusplus
	}
#endif


#endif //__I2C_HDMI_INTERFACE__

